Package org.eclipse.cdt.doxygen

# Interface DoxygenMetadata

public interface DoxygenMetadata
The metadata for options to configure doxygen

## Method Summary

Modifier and Type
Method
Description
`List<org.eclipse.core.runtime.preferences.PreferenceMetadata<Boolean>>`
`booleanOptions()`
Returns the list of available boolean options to be shown in UI, must not return `null`.
`org.eclipse.core.runtime.preferences.PreferenceMetadata<Boolean>`
`newLineAfterBriefOption()`
Returns the metadata for the "Add new line after brief tag" option, must not return `null`.
`org.eclipse.core.runtime.preferences.PreferenceMetadata<Boolean>`
`useBriefTagOption()`
Returns the metadata for the "Use brief tag" option, must not return `null`.
`org.eclipse.core.runtime.preferences.PreferenceMetadata<Boolean>`
`useJavadocStyleOption()`
Returns the metadata for the "Use javadoc style for tags" option, must not return `null`.
`org.eclipse.core.runtime.preferences.PreferenceMetadata<Boolean>`
`usePrePostTagOption()`
Returns the metadata for the "Add pre/post tags to functions" option, must not return `null`.
`org.eclipse.core.runtime.preferences.PreferenceMetadata<Boolean>`
`useStructuralCommandsOption()`
Returns the metadata for the "Use structural commands" option, must not return `null`.

## Method Details

### useBriefTagOption

org.eclipse.core.runtime.preferences.PreferenceMetadata<Boolean> useBriefTagOption()
Returns the metadata for the "Use brief tag" option, must not return `null`.

Returns:
  the metadata for the "Use brief tag" option
See Also:
  - `DoxygenOptions.useBriefTags()`

### useStructuralCommandsOption

org.eclipse.core.runtime.preferences.PreferenceMetadata<Boolean> useStructuralCommandsOption()
Returns the metadata for the "Use structural commands" option, must not return `null`.

Returns:
  the metadata for the "Use structural commands" option
See Also:
  - `DoxygenOptions.useStructuralCommands()`

### useJavadocStyleOption

org.eclipse.core.runtime.preferences.PreferenceMetadata<Boolean> useJavadocStyleOption()
Returns the metadata for the "Use javadoc style for tags" option, must not return `null`.

Returns:
  the metadata for the "Use javadoc style for tags" option
See Also:
  - `DoxygenOptions.useJavadocStyle()`

### newLineAfterBriefOption

org.eclipse.core.runtime.preferences.PreferenceMetadata<Boolean> newLineAfterBriefOption()
Returns the metadata for the "Add new line after brief tag" option, must not return `null`.

Returns:
  the metadata for the "Add new line after brief tag" option
See Also:
  - `DoxygenOptions.newLineAfterBrief()`

### usePrePostTagOption

org.eclipse.core.runtime.preferences.PreferenceMetadata<Boolean> usePrePostTagOption()
Returns the metadata for the "Add pre/post tags to functions" option, must not return `null`.

Returns:
  the metadata for the "Add pre/post tags to functions" option
See Also:
  - `DoxygenOptions.usePrePostTag()`

### booleanOptions

List<org.eclipse.core.runtime.preferences.PreferenceMetadata<Boolean>> booleanOptions()
Returns the list of available boolean options to be shown in UI, must not return `null`.

Returns:
  the list of boolean options